using System;

namespace Kvalifikacija
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] velicine = Console.ReadLine().Split();
            int n = int.Parse(velicine[0]);
            int m = int.Parse(velicine[1]);
            int[,] vage = new int[n, 2];
            int[,] pitanja = new int[m, 3];
            for (int i = 0; i < n;i++)
            {
                string[] pomocna = Console.ReadLine().Split();
                vage[i, 0] = int.Parse(pomocna[0]);
                vage[i, 1] = int.Parse(pomocna[1]);
            }
            for (int i = 0; i < m; i++)
            {
                string[] pomocna = Console.ReadLine().Split();
                pitanja[i, 0] = int.Parse(pomocna[0]);
                pitanja[i, 1] = int.Parse(pomocna[1]);
                pitanja[i, 2] = int.Parse(pomocna[2]);
            }
            int brojac = 0;
            for(int i=0;i<m;i++)
            { 
                for (int j = pitanja[i, 0];j < pitanja[i, 1]+1; j++)
                {
                    if (pitanja[i, 2] >= vage[j-1, 0] && pitanja[i, 2] <= vage[j-1, 1])
                    {
                        brojac++;
                    }
                }
                Console.WriteLine(brojac);
                brojac = 0;
            }
        }
    }
}